Subject: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - draft-ietf-trill-cmt-00

From: Erik Nordmark <[email-masked]>
Date: Wed, 15 Aug 2012 15:11:44 -0700

We are trying to understand if this document is getting close to WG last 
call, but we don't know how many have read the document.

If you have reviewed the document, please let us know.
If not, this might be a good time to review the document and provide 
comments.

Thanks,
    Erik and Donald

---

From: Sunny Rajagopalan <[email-masked]>
Date: Wed, 15 Aug 2012 15:27:43 -0700

I had sent out comments on this a while back, and none of them have been 
addressed.
To summarize the issues:
1) What happens when one of the CE-rbridge links fails? The draft doesn't 
talk about this scenario. I listed the possible solutions in my earlier 
email; are the authors planning to adopt one of them, or do they have 
another fix in mind?

2) The solution doesn't work if the CE switches are interconnected, but 
this is but this is not documented in the draft. What happens if they get 
interconnected accidentally? What is the process for recovery? This needs 
to be discussed in the draft.
More details here:
http://www.ietf.org/mail-archive/web/trill/current/msg04984.html 

From:   Erik Nordmark <[email-masked]>
To:     "[email-masked]" <[email-masked]>
Date:   08/15/2012 03:14 PM
Subject:        [trill] Any comments on Coordinated Multicast Trees (CMT) 
for TRILL       - draft-ietf-trill-cmt-00
Sent by:        [email-masked]

Thanks,
    Erik and Donald
_______________________________________________
trill mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/trill

---

From: Mingui Zhang <[email-masked]>
Date: Thu, 16 Aug 2012 00:54:17 +0000

I had read this draft.

IMO, the updated version focus on the specific RPFC issue in active-active multi-homing. The failure recovery from links fails  can be regarded as another common issue of active-active multi-homing, which may  be handled in a separate ID.

Thanks,
Mingui

From: [email-masked] [mailto:[email-masked]] On Behalf Of Sunny Rajagopalan
Sent: Thursday, August 16, 2012 6:28 AM
To: Erik Nordmark
Cc: [email-masked]; [email-masked]
Subject: Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - draft-ietf-trill-cmt-00

I had sent out comments on this a while back, and none of them have been addressed.
To summarize the issues:
1) What happens when one of the CE-rbridge links fails? The draft doesn't talk about this scenario. I listed the possible solutions in my earlier email; are the authors planning to adopt one of them, or do they have another fix in mind?

2) The solution doesn't work if the CE switches are interconnected, but this is but this is not documented in the draft. What happens if they get interconnected accidentally? What is the process for recovery? This needs to be discussed in the draft.
More details here:
http://www.ietf.org/mail-archive/web/trill/current/msg04984.html

From:        Erik Nordmark <[email-masked]>
To:        "[email-masked]" <[email-masked]>
Date:        08/15/2012 03:14 PM
Subject:        [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL        - draft-ietf-trill-cmt-00
Sent by:        [email-masked]
________________________________

Thanks,
   Erik and Donald

---

From: Sunny Rajagopalan <[email-masked]>
Date: Wed, 15 Aug 2012 19:35:47 -0600

Mingui,
This solution cannot be evaluated or deployed without knowing it's approach towards link failures. 
IMO, the draft is incomplete without it, and a solution should not be deferred to another draft.
--
Sunny

On Aug 15, 2012, at 5:54 PM, "Mingui Zhang" <[email-masked]> wrote:

I had read this draft.

Thanks,
Mingui

Thanks,
   Erik and Donald

---

From: "Rohit Watve (rwatve)" <[email-masked]>
Date: Thu, 16 Aug 2012 02:12:09 +0000

I have read the draft and it solves the RPF issues in case of active-active edge.
I support it in WG last call.

Thanks
Rohit

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mingui Zhang
Sent: Wednesday, August 15, 2012 5:54 PM
To: Sunny Rajagopalan; Erik Nordmark
Cc: [email-masked]; [email-masked]
Subject: Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - draft-ietf-trill-cmt-00

I had read this draft.

Thanks,
Mingui

Thanks,
   Erik and Donald

---

From: Mingui Zhang <[email-masked]>
Date: Thu, 16 Aug 2012 08:08:11 +0000

Hi Sunny,

The scenarios that links fail or CE switches are interconnected are interesting and make sense. The expensive (may lead to nickname exhaustion) solution you had pointed out is also the right direction I can think of right now. The only issue with this solution is its scalability.

Having said that, I think the failure recovery issue for an RBridge Aggregation is not that simple. It at least needs a control plane coordination among the aggregated members. Think about that a member joins/leaves the aggregation. A fast failure recovery mechanism for the RBridge Aggregation can be developed based on that coordination. When I suggested to  purchase this topic in a separate ID, I am on behalf of myself. I’d like to hear opinions from other guys.

Thanks,
Mingui

From: Sunny Rajagopalan [mailto:[email-masked]]
Sent: Thursday, August 16, 2012 9:36 AM
To: Mingui Zhang
Cc: Erik Nordmark; [email-masked]; [email-masked]
Subject: Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - draft-ietf-trill-cmt-00

Mingui,

On Aug 15, 2012, at 5:54 PM, "Mingui Zhang" <[email-masked]<mailto:[email-masked]>> wrote:

I had read this draft.

Thanks,
Mingui

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Sunny Rajagopalan
Sent: Thursday, August 16, 2012 6:28 AM
To: Erik Nordmark
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - draft-ietf-trill-cmt-00

From:        Erik Nordmark <[email-masked]<mailto:[email-masked]>>
To:        "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date:        08/15/2012 03:14 PM
Subject:        [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL        - draft-ietf-trill-cmt-00
Sent by:        [email-masked]<mailto:[email-masked]>
________________________________

Thanks,
   Erik and Donald
_______________________________________________
trill mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/trill

---

From: [email-masked]
Date: Thu, 16 Aug 2012 16:40:16 +0800

I have read this draft and have a question about section 5.1, 
it describes how to distribute the trees among edge RB members of a group 
as follow:
     Assign each tree to RBi such that tree number { (tree_number) %
     k}+1 is assigned to RBridge i for tree_number from 1 to n. where n
     is the number of trees and k is the number of RBridges considered
     for tree allocation.

And in RFC 6325 section 4.5 describes:
   a good choice is the tree whose root is least cost
   from the ingress RBridge and that is the default for an ingress
   RBridge that uses a single tree to distribute multi-destination
   frames.

So, if a network has two trees, the first tree root is RBi and the second 
tree root is RBj,
a group has two member RBridges RB1 and RB2, numerically ascending order 
by SystemID such that RB1<RB2,
RBi is assigned to RB1 and RBj is assigned to RB2 as described in this 
draft, 
but maybe RB1 is closer to RBj and RB2 is closer to RBi, does the solution 
care about this?

Erik Nordmark <[email-masked]> 
发件人:  [email-masked]
2012-08-16 06:11

收件人
"[email-masked]" <[email-masked]>
抄送

主题
[trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL     - 
draft-ietf-trill-cmt-00

Thanks,
    Erik and Donald

---

From: [email-masked]
Date: Thu, 16 Aug 2012 17:40:13 +0800

Hi Minggui and Sunny，

I also think the expensive solution for link failure is the right 
direction. It is simple and effective for this issue, although it consumes 
much more nicknames (I assume that there are no so much RBriges to use up 
all the nicknames in a Data Center).

As for the issue that switches are interconnected, I think the STP should 
be employed to break the link loops out of the TRILL campus. Even if 
without RBridge Aggregation, CE swithches-internnecting issue, given by 
Sunny, also exists.

Thanks,
Zhai Hongjun
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 Protocol Development Dept.VI, Central R&D Institute, ZTE Corporation
 No. 68, Zijinghua Road, Yuhuatai District, Nanjing, P.R.China, 210012
 
 Zhai Hongjun
 
 Tel: +86-25-52877345
 Email: [email-masked]
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Mingui Zhang <[email-masked]> 
发件人:  [email-masked]
2012-08-16 16:08

收件人
Sunny Rajagopalan <[email-masked]>
抄送
Erik Nordmark <[email-masked]>, "[email-masked]" 
<[email-masked]>, "[email-masked]" <[email-masked]>
主题
Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - 
draft-ietf-trill-cmt-00

Hi Sunny, 
 
The scenarios that links fail or CE switches are interconnected are 
interesting and make sense. The expensive (may lead to nickname 
exhaustion) solution you had pointed out is also the right direction I can 
think of right now. The only issue with this solution is its scalability.
 
Having said that, I think the failure recovery issue for an RBridge 
Aggregation is not that simple. It at least needs a control plane 
coordination among the aggregated members. Think about that a member 
joins/leaves the aggregation. A fast failure recovery mechanism for the 
RBridge Aggregation can be developed based on that coordination. When I 
suggested to  purchase this topic in a separate ID, I am on behalf of 
myself. I’d like to hear opinions from other guys.
 
Thanks,
Mingui
 
From: Sunny Rajagopalan [mailto:[email-masked]] 
Sent: Thursday, August 16, 2012 9:36 AM
To: Mingui Zhang
Cc: Erik Nordmark; [email-masked]; [email-masked]
Subject: Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for 
TRILL - draft-ietf-trill-cmt-00
 
Mingui,
This solution cannot be evaluated or deployed without knowing it's 
approach towards link failures. 
IMO, the draft is incomplete without it, and a solution should not be 
deferred to another draft.
--
Sunny

On Aug 15, 2012, at 5:54 PM, "Mingui Zhang" <[email-masked]> 
wrote:
I had read this draft. 
 
IMO, the updated version focus on the specific RPFC issue in active-active 
multi-homing. The failure recovery from links fails  can be regarded as 
another common issue of active-active multi-homing, which may  be handled 
in a separate ID. 
 
Thanks,
Mingui
 
From: [email-masked] [mailto:[email-masked]] On Behalf Of 
Sunny Rajagopalan
Sent: Thursday, August 16, 2012 6:28 AM
To: Erik Nordmark
Cc: [email-masked]; [email-masked]
Subject: Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for 
TRILL - draft-ietf-trill-cmt-00

Thanks,
   Erik and Donald

---

From: "Varun Shah (varshah)" <[email-masked]>
Date: Thu, 16 Aug 2012 18:32:44 +0000

I have read the draft and support it for the WG last call.

Thanks,
-Varun

From: "Rohit Watve (rwatve)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, August 15, 2012 7:12 PM
To: Mingui Zhang <[email-masked]<mailto:[email-masked]>>, Sunny Rajagopalan <[email-masked]<mailto:[email-masked]>>, Erik Nordmark <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - draft-ietf-trill-cmt-00

Thanks
Rohit

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]On Behalf Of Mingui Zhang

I had read this draft.

Thanks,
Mingui

Thanks,
   Erik and Donald

---

From: "Ramkumar Parameswaran (ramkumar)" <[email-masked]>
Date: Thu, 16 Aug 2012 18:41:24 +0000

Have read the document, and support the WG last call.

Thanks,

Ramkumar

---

From: Ayan Banerjee <[email-masked]>
Date: Thu, 16 Aug 2012 22:27:06 -0700

Liao,

Just to get the entire context of the Section that you quote from the RFC:

   How an ingress RBridge chooses the distribution tree or trees that it
   uses for multi-destination frames is beyond the scope of this
   document.  However, for the reasons stated above, in the absence of
   other factors, a good choice is the tree whose root is least cost
   from the ingress RBridge and that is the default for an ingress
   RBridge that uses a single tree to distribute multi-destination
   frames.

The RFC clearly states that it is outside its scope and has a
suggestion regarding root choice. This draft provides the "other
factors" to influence the choice of trees.

Thanks,
Ayan

On Thu, Aug 16, 2012 at 1:40 AM, <[email-masked]> wrote:
> it describes how to distribute the trees among edge RB members of a group as follow:
> So, if a network has two trees, the first tree root is RBi and the second tree root is RBj,
> a group has two member RBridges RB1 and RB2, numerically ascending order by SystemID such that RB1<RB2,
> RBi is assigned to RB1 and RBj is assigned to RB2 as described in this draft,
> but maybe RB1 is closer to RBj and RB2 is closer to RBi, does the solution care about this?
>
>
>
> [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL        - draft-ietf-trill-cmt-00
>
>
>
>
>
>

---

From: [email-masked]
Date: Fri, 17 Aug 2012 15:48:55 +0800

Hi Ayan,

Thank you for your response.
The RFC 6325 doesn't care how to distribute the trees, but I think 
in a group as described in this draft, the ingress member RBridges 
should not use the same tree, so this draft should provide a solution 
on how to assign the trees among the member RBridges.IMO, the solution 
should take the cost between the tree roots and the ingress member 
RBridges into account.

Thanks,
Tina

Ayan Banerjee <[email-masked]> 
发件人:  [email-masked]
2012-08-17 13:27

收件人
[email-masked]
抄送
Erik Nordmark <[email-masked]>, [email-masked], "[email-masked]" 
<[email-masked]>
主题
Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - 
draft-ietf-trill-cmt-00

Liao,

Thanks,
Ayan

draft,
draft-ietf-trill-cmt-00

---

From: "Naveen Nimmu" <[email-masked]>
Date: Fri, 17 Aug 2012 15:37:24 +0000

I have read the document and it solves a problem to support active - active mode.
I support  WG call for the same.
Thanks
Naveen

----- Original Message -----
From: Ramkumar Parameswaran (ramkumar) [mailto:[email-masked]]
Sent: Thursday, August 16, 2012 11:41 AM
To: Erik Nordmark <[email-masked]>; [email-masked] <[email-masked]>
Subject: Re: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL - draft-ietf-trill-cmt-00

Thanks,

Ramkumar

---

From: Jon Hudson <[email-masked]>
Date: Fri, 17 Aug 2012 10:27:24 -0700

I too have read the draft and support it for the WG last call.

Thanks,
Jon

-- 
"Do not lie. And do not do what you hate."

---

From: Sunny Rajagopalan <[email-masked]>
Date: Fri, 17 Aug 2012 10:50:01 -0700

Are the authors of this draft planning to respond to these comments at 
all? A protocol spec that doesn't talk about what to do on link failure is 
incomplete, to say the least.

From:   Sunny Rajagopalan/Santa Clara/IBM@IBMUS
To:     Erik Nordmark <[email-masked]>
Cc:     [email-masked], "[email-masked]" <[email-masked]>
Date:   08/15/2012 03:28 PM
Subject:        Re: [trill] Any comments on Coordinated Multicast Trees 
(CMT) for TRILL - draft-ietf-trill-cmt-00
Sent by:        [email-masked]

Thanks,
   Erik and Donald

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 17 Aug 2012 14:15:21 -0400

Hi Sunny,

I'm not an author but I'll respond further to your earlier mail.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Fri, Aug 17, 2012 at 1:50 PM, Sunny Rajagopalan
<[email-masked]> wrote:
> Are the authors of this draft planning to respond to these comments at all?
> A protocol spec that doesn't talk about what to do on link failure is
> 2) The solution doesn't work if the CE switches are interconnected, but this
> is but this is not documented in the draft. What happens if they get
> interconnected accidentally? What is the process for recovery? This needs to
> be discussed in the draft.
> More details here:

---

From: Anoop Ghanwani <[email-masked]>
Date: Fri, 17 Aug 2012 15:50:34 -0700

I would support the document going to WG last
call.  There are some obvious typos and some
things that need to be clarified (e.g. what is a
CE node), but that can be cleaned up as part
of the last call process.

Anoop

---

From: [email-masked]
Date: Mon, 20 Aug 2012 19:59:32 +0800

I have read the draft and support it for WG last call.

Thanks,
Zhai Hongjun
 
 Zhai Hongjun
 
 Tel: +86-25-52877345

收件人

主题

Thanks,
    Erik and Donald

---

From: Sam Aldrin <[email-masked]>
Date: Mon, 20 Aug 2012 15:32:17 -0700

I reviewed this document and it fulfills the purpose it is written for.
Fully support the last call for this document.

-sam
On Aug 15, 2012, at 3:11 PM, Erik Nordmark <[email-masked]> wrote:

> 
> We are trying to understand if this document is getting close to WG last call, but we don't know how many have read the document.
> 
> If not, this might be a good time to review the document and provide comments.
> 
> Thanks,
>   Erik and Donald

---

From: Mingui Zhang <[email-masked]>
Date: Tue, 21 Aug 2012 01:05:22 +0000

I support the last call of this draft.

In order to be used as a complete solution, other issues (failure recovery, mac sync, ...) with active-active multi-homing should also be addressed. 

Thanks,
Mingui

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Erik
> Nordmark
> Sent: Thursday, August 16, 2012 6:12 AM
> To: [email-masked]

---

From: Yizhou Li <[email-masked]>
Date: Thu, 23 Aug 2012 17:03:12 +0800

I have read the document and would support it going to WG last call.

Yizhou 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Erik Nordmark
Sent: Thursday, August 16, 2012 6:12 AM
To: [email-masked]
Subject: [trill] Any comments on Coordinated Multicast Trees (CMT) for TRILL
- draft-ietf-trill-cmt-00

Thanks,
    Erik and Donald

---

From: Sujay Gupta <[email-masked]>
Date: Fri, 24 Aug 2012 16:01:25 +0530

I support this draft.  Section 5.4.1 mentions use of tunneling or a 
passive mode, this does not make
things specific a either or, implementation will not inter-op.

Best Regards,
-Sujay

On 16-08-2012 03:41, Erik Nordmark wrote:
>
> We are trying to understand if this document is getting close to WG 
> last call, but we don't know how many have read the document.
>

---

From: Haoweiguo <[email-masked]>
Date: Mon, 27 Aug 2012 09:11:25 +0000

weiguo

---

From: Linda Dunbar <[email-masked]>
Date: Mon, 27 Aug 2012 16:04:15 +0000

Support. 

Linda Dunbar